/*
  File: OTGraph.h
  Authors: Eric Bergerson && Matt Jacobus
  Modification History:

  Created 10/11/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/Control.h>

#define GRAPHMNGR_CURRENT_VERSION 10

@interface OTGraph: Control
{
  id oTGraphBody;       /* OTGraphBody object */
  id axisLabels;        /* List of Labeler objects */
  id oTScale;           /* Scale Object (Data in scale) */
  id oTDataMngr;        /* DataMngr Object */
  id delegate;   
  NXRect graphPosition; /* Position relative to GraphMngr's frame */
  id _oTPaletteInstance;
  BOOL dirtyDisplay;
  BOOL holdLabelerFont;
}


+ initialize;
- initFrame: (const NXRect *) frameRect;
- createDefaultAxis;
- quickDisplay;
- drawSelf:(const NXRect *) rects :(int)rectCount;
- setDataUnchanged;
- calcGraphFrame: (NXRect *) frameRect;
- oTGraphBody;
- setOTGraphBody: anObject;
- axisLabels;
- setAxisLabels: anObject;
- oTScale:(int) aScaleIndex;
- oTScale;
- setOTScale: anObject withChanged:(int) changed;
- setOTGraphScale: anObject withChanged: (int) changed;
- oTDataMngr;
- setOTDataMngr: aDataMngr;
- setOTDataMngrUnchanged: dataMngr;
- free;
- delegate;
- setDelegate: aDelegate;
- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;
- newLabelerForAxis:(int) cellType;
- setLabeler: aLabeler forAxis:(int) cellType;
- freeLabelerForAxis: (int) cellType;
- labelerForAxis:(int) cellType;
- updateLabelersFont;
- newAxis:(int) type;
- freeCellAt:(int) type;
- cellAt:(int) type;
- sizeTo:(NXCoord) width :(NXCoord) height;
- (char *) inspectorName;
- write:(NXTypedStream *)stream idStorage:storageObject;
- readIdStorage:(NXTypedStream *)stream;
- setTarget: anObject;
- setAction:(SEL) anAction;
- setDirtyDisplay:(BOOL) flag;
- (BOOL) dirtyDisplay;
- setHoldLabelerFont:(BOOL) flag;
- (BOOL) holdLabelerFont;
- _setOTPaletteInstance:panel;

@end

