/*
  File: OTGraphCell.h
  Authors: Eric Bergerson && Matt Jacobus
  Modification History:

  Created 10/11/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/ActionCell.h>

/* error messages */
#define GC_ERR_NULLPOINT 1

#define GRAPHCELL_CURRENT_VERSION 10

@interface OTGraphCell: ActionCell
{
  NXPoint lastGraphPoint;
  NXPoint lastDataPoint;
  int lastEventType;
  id delegate;
  id oTScale;
  int scaleIndex;
  id errorDelegate;
}

+ initialize;
- init;
- drawInside:(const NXRect *) cellFrame inView: controlView;
- drawDefault: (const NXRect *) cellFrame inView:controlView;
- (BOOL)trackMouse :(NXEvent *) theEvent
    inRect:(const NXRect *) cellFrame
    ofView:controlView;
- setDelegate: anObject;
- delegate;
- (NXPoint *) lastGraphPoint;
- setLastGraphPoint: (NXPoint *) aGraphPoint;
- (NXPoint *) lastDataPoint;
- setLastDataPoint: (NXPoint *) aDataPoint;
- (int)lastEventType;
- setLastEventType: (int)anEventType;
- drawKey: (const NXRect *) aKeyFrame for:(int) rangeIndex;
- read: (NXTypedStream *) stream;
- write:(NXTypedStream *) stream ;
- errorDelegate;
- setErrorDelegate: aDelegate;
- (BOOL) errorDidOccur: (int) errMsg from: aSelf;

@end

