/*
  File: OTLabeler.h
  Authors: Eric Bergerson & Matt Jacobus
  Modification History:

  Created 10/01/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/Matrix.h>

#define LABELER_CURRENT_VERSION 10

@interface OTLabeler: Matrix
{
  id oTScale;
  id oTGraph;
  int axisCellType;  /* The labeler's associated axis cell */
  double aCOffset;   /* The distance between the labeler and the 
			associated axis cell */
  id delegate;
  id errorDelegate;
  int scaleIndex;
  BOOL dirty;
  BOOL dirtyDisplay;
  BOOL initialized;
}

+ initialize;
- initFrame: (const NXRect *) frameRect;
- updateFrame;
- updateOrigin;
- bestFont;
- mouseEventDidOccur: sender;
- (BOOL)errorDidOccur: (int) errMsg from: aLabeler;
- setErrorDelegate: aDelegate;
- errorDelegate;
- oTScale:(int) aScaleIndex;
- oTScale;
- setOTScale:newScale withChanged:(int) changed;
- (int) axisCellType;
- setAxisCellType: (int) anAxisCellType;
- (double) aCOffset;
- setACOffset: (double) newOffset;
- empty;
- fillLabeler;
- fillWithDomainValuesFormatted:(BOOL)isFormatted;
- fillWithRangeValuesFormatted:(BOOL)isFormatted;
- fillWithLabels;
- fillWithRegValues;
- setOTGraph: anObject;
- oTGraph;
- setVertAlignment: (int) newAlignment;
- setHorizAlignment: (int) newAlignment;
- alignCells;
- setCell:(int)row :(int)col doubleValue:(double)aValue
  step:(double)step;
- formatDouble:(double) aValue withRight:(int)right to:(char *)formatted;
- setScaleIndex:(int) newIndex;
- (int) scaleIndex;
- setDelegate: aDelegate;
- delegate;
- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;
- (BOOL) isOpaque;
- display;
- setDirtyDisplay:(BOOL) flag;
- (BOOL) dirtyDisplay;
- setFrame:(const NXRect *) frameRect;
- setCellSize:(const NXSize *) aSize;
- (BOOL) initialized;
- setInitialized:(BOOL) flag;

@end
