/*
  File: OTLegend.h
  Authors: Eric Bergerson && Matt Jacobus
  Modification History:

  Created 10/23/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/Control.h>

#define LEGEND_CURRENT_VERSION 10

@interface OTLegend: Control
{
  id oTGraph;    /* The associated OTGraph */
  id matrix;
  NXRect matrixRect;
  NXRect keyRect;
  double backgroundGray;
}

+ initialize;
- initFrame: (const NXRect *) frameRect;
- free;
- drawSelf:(const NXRect *) rects :(int)rectCount;
- drawDefault:(const NXRect *) rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- oTGraph;
- setOTGraph: anObject;
- legendMatrix;
- setLegendMatrix: anObject;
- (float) backgroundGray;
- setBackgroundGray: (float) aGray;
- updateCells;
- convertToMatrixRect: (NXRect *) legendRect;
- convertToKeyRect: (NXRect *) legendRect;
- convertToKeyFrame: (NXRect *) aKeyRect for:(int) rangeIndex;
- read: (NXTypedStream *) stream;
- write:(NXTypedStream *) stream ;
- (char *) inspectorName;
- setTarget: anObject;
- setAction:(SEL) anAction;

@end




