/*
  File: OTValues.h
  Authors: Eric Bergerson
  Modification History:

  Created - 09/17/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <objc/Storage.h>

#define VALUES_CURRENT_VERSION 10

@interface OTValues:Storage
{
  double minExtreme;
  double maxExtreme;
  id valuesLabel;
  BOOL dataChanged;
  BOOL extremesChanged;
}



+ initialize;
- init;
- initCount:(unsigned) count elementSize:(unsigned) sizeInBytes description:(const char *)descriptor; 
- initCount:(unsigned) count;
- initCount:(unsigned) count using:(double *) array;
- empty;
- copy;
- replace:(void *) anElement at:(unsigned )index;
- addElement:(void *)anElement; 
- removeLastElement; 
- insert:(void *)anElement at:(unsigned )index; 
- removeAt:(unsigned )index; 
- updateExtremes;
- extendExtremesTo: (double) aValue;
- excludeFromExtremes: (double) aValue;
- (double) minExtreme;
- setMinExtreme: (double) aMin;
- (double) maxExtreme;
- setMaxExtreme: (double) aMax;
- valuesLabel;
- setValuesLabel: (char *) text;
- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;
- (BOOL) dataChanged;
- setDataChanged: (BOOL) flag;
- (BOOL) extremesChanged;
- setExtremesChanged: (BOOL) flag;
@end


