/*
  File: OTWriterCell.h
  Authors: Matt Jacobus & Eric Bergerson
  Modification History:

  Created 10/01/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/ActionCell.h>

#define WRITERCELL_CURRENT_VERSION 10

/* Vertical alignment defines */
#define WC_CENTERED 0
#define WC_TOPALIGNED 1
#define WC_BOTTOMALIGNED 2

@interface OTWriterCell: ActionCell
{
  id oTLabeler;
  int vertAlignment;
  double backgroundGray;
  double textGray;
}



+ initialize;
- init;
- drawInside:(const NXRect *) cellFrame inView: controlView;
- getStringSize: (NXSize *) stringSize 
  descender:(double *) descender
  forFont: font;
- (BOOL) smallEnoughFont: font forSize: (NXSize *) newSize;
- bestFontForSize: (NXSize *) mySize;
- (BOOL)trackMouse :(NXEvent *) theEvent
    inRect:(const NXRect *) cellFrame
    ofView:controlView;
- (float) backgroundGray;
- setBackgroundGray:(float) aGray;
- (float) textGray;
- setTextGray:(float) aGray;
- (int) vertAlignment;
- setVertAlignment: (int) anAlignment;
- read: (NXTypedStream *) stream;
- write:(NXTypedStream *) stream ;

@end
